/*! 
    \file tester.cc
    \brief Primitive testing facility
    \author Petr Gladkikh, 2001
    $Id: tester.cc,v 1.4 2002/10/20 15:19:45 petr Exp $

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2, or (at your option)
    any later version.
*/

#include "tester.h"
#include <iostream>

bool runTests(const TestCase* test_array)
{
    for (unsigned test_id = 0; test_array[test_id].function; test_id++) 
    {
	if (test_array[test_id].name != "")
	{
	    cout << "Test " << test_array[test_id].name << " ";
	    cout.flush();
	    if (test_array[test_id].function())
	    {
		cout << "passed" << endl;
	    }
	    else
	    {
		cout << "failed" << endl;
		return false;
	    }
		
	}
    }
    return true;
};

