/*!
    \file util.h
    \brief General utility classes and parameters for memory manager
    \author Petr Gladkikh, 2001, 2002
    
    $Id: util.h,v 1.2 2002/09/17 17:44:14 petr Exp $

    This file contains declarations primarily intended to simpify
    porting of Flood.
*/

#ifndef DM_UTIL_DECL
#define DM_UTIL_DECL

namespace dm
{
    // NB: we suppose that sizeof(uint) == sizeof(void*)

    //! Flood's unsigned int
    typedef unsigned long int uint;
    typedef long int          lint;

    /*!
	Constant whose value is interpreted as
        "incorrect index" or "not an index".
    */
    const uint NOT_INDEX = static_cast<uint>(-1);  
    
}

#endif
